<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WordPress
 * @subpackage Twenty_Nineteen
 * @since 1.0.0
 */

?>

	<footer class="main_footer" data-aos="zoom-in" data-aos-once="true">
		<div class="container">
			<div class="row">
				<div class="col-md-6 margin_bottom">
					<h3><?php if(function_exists('get_field') && get_field('about_us_title','option')){ the_field('about_us_title','option'); } ?></h3>
					<p><?php if(function_exists('get_field') && get_field('about_us_content','option')){ the_field('about_us_content','option'); } ?></p>
				</div>
				<div class="col-md-3 margin_bottom">
					<h3><?php if(function_exists('get_field') && get_field('quick_links_title','option')){ the_field('quick_links_title','option'); } ?></h3>
					<ul class="footer_links pl-0">
						<?php if(function_exists('get_field') && get_field('quick_links','option')){ the_field('quick_links','option'); } ?>
					</ul>
				</div>
				<div class="col-md-3 margin_bottom">
					<h3><?php if(function_exists('get_field') && get_field('newsletter_title','option')){ the_field('newsletter_title','option'); } ?></h3>
					<p><?php if(function_exists('get_field') && get_field('newsletter_content','option')){ the_field('newsletter_content','option'); } ?> </p>
					<?php echo do_shortcode('[sp-form formid=122]');?>
					<!--<form class="newsletter_form">
						<input type="text" placeholder="Enter Your Email">
						<button type="submit">Subscribe</button>
					</form>-->
				</div>
			</div>
			
			<div class="row contact-info">				
				<div class="col-md-12 text-center">
					<span><i class="far fa-envelope"></i> <?php if(function_exists('get_field') && get_field('email','option')){ the_field('email','option'); } ?></span>
				</div>
			</div>
			
			<div class="copyright_main">
				<div class="row">
					<div class="col-md-8">
						<p class="copyright"><?php if(function_exists('get_field') && get_field('copyright','option')){ the_field('copyright','option'); } ?></p>
					</div>
					<div class="col-md-4">
						<ul class="social_icon">
							<li><a href="<?php if(function_exists('get_field') && get_field('facebook_link','option')){ the_field('facebook_link','option'); } ?>"><i class="fab fa-facebook-f"></i></a></li>
					<li><a href="<?php if(function_exists('get_field') && get_field('twitter_link','option')){ the_field('twitter_link','option'); } ?>"><i class="fab fa-twitter"></i></a></li>
					<li><a href="<?php if(function_exists('get_field') && get_field('instagram_link','option')){ the_field('instagram_link','option'); } ?>"><i class="fab fa-instagram"></i></a></li>
					<li><a href="<?php if(function_exists('get_field') && get_field('yelp_link','option')){ the_field('yelp_link','option'); } ?>"><i class="fab fa-yelp"></i></a></li>
						</ul>
					</div>
				</div>
			</div>
		</div>
		
	</footer>

<?php wp_footer(); ?>
<script>
	  AOS.init();
</script>
<link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/fancybox/2.1.5/jquery.fancybox.min.css" media="screen">
<script src="//cdnjs.cloudflare.com/ajax/libs/fancybox/2.1.5/jquery.fancybox.min.js"></script>
<script>
	$(document).ready(function(){
	  $(".fancybox").fancybox({
	        openEffect: "none",
	        closeEffect: "none"
	    });
	    
	    $(".zoom").hover(function(){
			
			$(this).addClass('transition');
		}, function(){
	        
			$(this).removeClass('transition');
		});
	});    
</script>
</body>
</html>
